HQ sideChat "Defend Radio Relay Vandergrift";


// Spawn some defenders and enemies and have them assault the radio relay

private ["_grp", "_groups", "_spawn", "_wp", "_veh", "_defenders"];
_groups = [];

_spawn = getPos assault;
_defenders = createGroup west;
{
	_x createUnit [_spawn, _defenders, ""];
} forEach [ "NAM_SOG_0_OL", "NAM_SOG_1_OL", "NAM_SOG_2_OL", "NAM_SOG_3_OL",
            "NAM_SOG_4_OL", "NAM_SOG_1_OL", "NAM_SOG_1_OL", "NAM_SOG_1_OL"];

_wp = _defenders addWaypoint [_spawn, 10];
_wp setWaypointType "GUARD";

{
  _spawn = getPos _x;
  _grp = createGroup east;
  {
    _x createUnit [_spawn, _grp, ""];
  } forEach [ "NVA_TL", "NVA_SP", "NVA_SR", "NVA_AR",
    		"NVA_AT", "NVA_MG", "NVA_SR", "NVA_SR"];
  _groups set [count _groups, _grp];
} forEach [assault1, assault1, assault2, assault2, assault3, assault3];


{
  _wp = _x addWaypoint [getPos assault, 10];
  _wp setWaypointSpeed "NORMAL";
  _wp setWaypointType "DESTROY";
} forEach _groups;


// mission failed when all defenders are dead

[_defenders] spawn {
  waitUntil { {alive _x} count units (_this select 0) == 0 };
  HQ sideChat "Abort - all defenders are dead or have surrendered - RTB";
  sleep 10;
  TeTeTMissionComplete = true;
};

// mission succeeds when a percentage of attackers is dead
[_groups] spawn {
	private ["_groups", "_alive"];
	_groups = _this select 0;
	// initial group strength is 48
	_alive = 48;

	while { _alive > 32 } do {
		_alive = 0;
		{
			private ["_grp"];
			_grp = _x;
			_alive = _alive + ( {alive _x} count units _grp );
		} forEach _groups;
		HQ sideChat format ["%1 alive out of 48", _alive];
		sleep 10;
	};
	HQ sideChat "Mission success - the enemy is weakened and withdraws - RTB";
	sleep 10;
	TeTeTMissionComplete = true;
	{
		private ["_grp"];
		_grp = _x;
		{
			deleteVehicle _x;
		} forEach units _grp;
	} forEach _groups;
};
