#define CIRCLEPOS2(p,d,r) CIRCLEPOS((p select 0), (p select 1), d, r)
#define CIRCLEPOS(x,y,d,r) [x+r*sin(d),y+r*cos(d)]

#define DSHKM "NAM_DSHKM_R"
#define NVATEAM ["NVA_TL", "NVA_SP", "NVA_SR", "NVA_AR"]

HQ sideChat "Provide Forward Air Controller support";

private["_destPos", "_guns", "_gun", "_name", "_i", "_grp", "_wp"];

_destPos = getPos FAC1;

HQ sideChat "Intel has lead to an enemy AA position";
sleep 0.5;
HQ sideChat "Provide FAC duty and call in artillery on the AA assets";
sleep 0.5;
HQ sideChat "Artillery not available - destroy AA with board weapons";
_i = 1;
_guns = [];
{
    private ["_pos"];
    _pos = CIRCLEPOS2(_destPos, random 360, 30);
	_name = format["Gun %1", _i];
    _gun = _x createVehicle _pos;
    createVehicleCrew _gun;
    _guns = _guns + [_gun];
    _grp = group (crew _gun select 0);
    [_grp, _name, "mil_objective", "ColorRed"] execVM "Functions\fn_marker.sqf";
    _i = _i + 1;
    sleep 0.1;
} forEach [DSHKM, DSHKM, DSHKM, DSHKM];

{
	_grp = createGroup east;
	{
		_x createUnit [_destPos, _grp, ""];
		sleep 0.1;
	} forEach _x;
    _wp = _grp addWaypoint [_destPos, 100];
    _wp setWaypointType "GUARD";
} forEach [NVATEAM, NVATEAM, NVATEAM, NVATEAM, NVATEAM, NVATEAM];

waitUntil { {canMove _x} count _guns == 0 };
sleep 1;
HQ sideChat "Good job, all AA guns have been destroyed - RTB";

sleep 10;
TeTeTMissionComplete = true;