#define SLICK "uh1h_ffv"
#define CIRCLEPOS2(p,d,r) CIRCLEPOS((p select 0), (p select 1), d, r)
#define CIRCLEPOS(x,y,d,r) [x+r*sin(d),y+r*cos(d)]
#define SQUAD ["NAM_SOG_0_OL", "NAM_SOG_1_OL", "NAM_SOG_2_OL", "NAM_SOG_3_OL", "NAM_SOG_4_OL", "NAM_SOG_1_OL", "NAM_SOG_1_OL", "NAM_SOG_1_OL"]
#define NVA ["NVA_TL", "NVA_SP", "NVA_SR", "NVA_AR"]

HQ sideChat "Escort slicks to an LZ";
sleep 0.5;
HQ sideChat  "Slicks rendezvous point is south of Radio Relay station";
sleep 0.5;
HQ sideChat "Escort them to a possible hot LZ";

private ["_choppers", "_spawn", "_spawndir", "_dir", "_groups", "_crews"];

// Set up NVA defenders
{
	private ["_grp", "_wp"];
	_spawn = getPos Target;
	_grp = createGroup east;
	{
		_x createUnit [_spawn, _grp, ""];
		sleep 0.1;
	} forEach _x;
	_wp = _grp addWaypoint [_spawn, 100];
	_wp setWaypointType "GUARD";
} forEach [NVA, NVA, NVA];


// Set up US forces
_groups = [];
_choppers = [];
_crews = [];
_spawn = getPos Rendezvous;
_spawndir = 115;
_dir = 0;
{
	_spawn = CIRCLEPOS2(_spawn, _dir, 100);
	_dir = _dir + 90;
	private ["_all", "_plane", "_crew", "_grp"];
	_grp = createGroup west;
	_all = [_spawn, _spawndir, _x, _grp] call bis_fnc_spawnvehicle;
	_plane = _all select 0;
	_crew = _all select 1;
	_choppers = _choppers + [_plane];
	_crews = _crews + [_grp];
} forEach [SLICK, SLICK, SLICK, SLICK];

{
	private ["_chopper", "_grp"];
	_chopper = _x;
	_grp = createGroup west;
	{
		_x createUnit [getPos Rendezvous, _grp, ""];
		sleep 0.1;
	} forEach SQUAD;
	{
		_x assignAsCargo _chopper;
		_x moveInCargo _chopper;
	} forEach units _grp;
	_groups = _groups + [_grp];
} forEach _choppers;

waitUntil {player distance _spawn < 200};

HQ sideChat "Escort the slicks";

private ["_i", "_lz"];
_i = 0;
_lz =  [Land1, Land2, Land3, Land4];
{
	private ["_wp", "_grp", "_currLz"];
	_currLz = _lz select _i;
	_grp = _x;
	_wp = _grp addWaypoint [_currLz, 10];
	_wp setWaypointType "MOVE";
	_wp setWaypointSpeed "NORMAL";
	_grp setCurrentWaypoint _wp;

	_wp = _grp addWaypoint [_currLz, 10];
	_wp setWaypointType "TR UNLOAD";
	_wp setWaypointSpeed "SLOW";
	_i = _i + 1;
} forEach _crews;

// take the first chopper and make it a reference

waitUntil { (_choppers select 0 distance Land1 < 100) and (position (_choppers select 0) select 2 < 10)};
// add some delay
sleep 30;
{
	private ["_wp", "_grp"];
	_grp = _x;
	_wp = _grp addWaypoint [Despawn, 0];
	_wp setWaypointType "MOVE";
	_wp setWaypointSpeed "FULL";

} forEach _crews;

// despawn
{
	[_x] spawn {
		private ["_chopper", "_grp"];
		_chopper = _this select 0;
		waitUntil { alive _chopper and _chopper distance Despawn < 200 };
		_grp = group (crew _chopper select 0);
		{
			deleteVehicle _x;
		} forEach units _grp;
		sleep 0.1;
		deleteGroup _grp;
		deleteVehicle _chopper;
	};
} forEach _choppers;

// send inf to target
{
	private ["_wp"];
	_wp = _x addWaypoint [Target, 50];
	_wp setWaypointType "MOVE";
	_wp setWaypointSpeed "NORMAL";
} forEach _groups;

sleep 20;

HQ sideChat "Hopefully some slicks made it - RTB";

TeTeTMissionComplete = true;